> For the complete documentation index, see [llms.txt](https://docs.criticalmoments.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.criticalmoments.io/feature-flags/named-conditions-config.md).

# Named Conditions Config

If you use feature flags, you'll need to define the conditional strings in your config file.&#x20;

Defining these in remote configuration instead of hardcoded allows you to update them over time (for rolling out, rolling back, or target refinement), or to remotely disable bugs (disable a feature, but only targeting impacted users).

For how to remotely update your config, see [here](/remote-control-service.md).&#x20;

### Example Config

Here's an example config file showing two named conditions:

```
{
    "configVersion": "v1",
    "appId": "YOUR_BUNDLE_ID",
    "conditions": {
      "namedConditions": {
        "isNewPhone": "user_interface_idiom == 'phone' && versionNumberComponent(device_model_version, 0) >= 14",
        "hasWatchAndIos15Plus": "has_watch && versionNumberComponent(os_version, 0) >= 15"
      }
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.criticalmoments.io/feature-flags/named-conditions-config.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
